Package net.shibboleth.idp.attribute.filter

# Class BaseBridgingClass

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.BaseBridgingClass

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `MatcherFromPolicy`, `PolicyFromMatcher`, `PolicyFromMatcherId`

public abstract class BaseBridgingClass extends AbstractIdentifiableInitializableComponent implements IdentifiableComponent, DestructableComponent
Base class for all classes which bridge between `PolicyRequirementRule` and `Matcher` (in either direction).

This code takes care of the mundane aspects of #getId() and initialize, validate and destroy.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Object`
`bridgedObject`
The object we are bridging to.
`private String`
`logPrefix`
Log prefix.

## Constructor Summary

Constructors
Constructor
Description
`BaseBridgingClass(Object base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doDestroy()`
`protected void`
`doInitialize()`
`protected String`
`getLogPrefix()`
Get the prefix for logging.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiableComponent

`setId`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### bridgedObject

@Nonnull private final Object bridgedObject
The object we are bridging to.

### logPrefix

@Nullable private String logPrefix
Log prefix.

## Constructor Details

### BaseBridgingClass

public BaseBridgingClass(@Nonnull @ParameterName(name="base") Object base)
Constructor.

Parameters:
  `base` - the object we are bridging to.

## Method Details

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`

### doDestroy

protected void doDestroy()

Overrides:
  `doDestroy` in class `AbstractInitializableComponent`

### getLogPrefix

protected String getLogPrefix()
Get the prefix for logging.

Returns:
  Returns the logPrefix.